Package org.eclipse.birt.chart.model.type

# Interface LineSeries

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `Series`

All Known Subinterfaces:
  `AreaSeries`, `BubbleSeries`, `DifferenceSeries`, `ScatterSeries`

All Known Implementing Classes:
  `AreaSeriesImpl`, `BubbleSeriesImpl`, `DifferenceSeriesImpl`, `LineSeriesImpl`, `ScatterSeriesImpl`

public interface LineSeries extends Series
A representation of the model object 'Line Series'. This is a Series type that, during design time, holds the query data for Line charts, and during run time, holds the value for each data point in the line. When rendered, a line connects each data point.

The following features are supported:

- `Markers`
- `Marker`
- `Line Attributes`
- `Palette Line Color`
- `Curve`
- `Shadow Color`
- `Connect Missing Value`

See Also:
  - `TypePackage.getLineSeries()`

## Method Summary

Modifier and Type
Method
Description
`LineSeries`
`copyInstance()`
`LineAttributes`
`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`Marker`
`getMarker()`
Deprecated.
Use Markers property instead.
`org.eclipse.emf.common.util.EList<Marker>`
`getMarkers()`
Returns the value of the 'Markers' containment reference list.
`ColorDefinition`
`getShadowColor()`
Returns the value of the 'Shadow Color' containment reference.
`boolean`
`isConnectMissingValue()`
Returns the value of the 'Connect Missing Value' attribute.
`boolean`
`isCurve()`
Returns the value of the 'Curve' attribute.
`boolean`
`isPaletteLineColor()`
Returns the value of the 'Palette Line Color' attribute.
`boolean`
`isSetConnectMissingValue()`
Returns whether the value of the '`Connect Missing Value`' attribute is set.
`boolean`
`isSetCurve()`
Returns whether the value of the '`Curve`' attribute is set.
`boolean`
`isSetPaletteLineColor()`
Returns whether the value of the '`Palette Line Color`' attribute is set.
`void`
`setConnectMissingValue(boolean value)`
Sets the value of the '`Connect Missing Value`' attribute.
`void`
`setCurve(boolean value)`
Sets the value of the '`Curve`' attribute.
`void`
`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
`setMarker(Marker value)`
Deprecated.
Use Markers property instead.
`void`
`setPaletteLineColor(boolean value)`
Sets the value of the '`Palette Line Color`' attribute.
`void`
`setShadowColor(ColorDefinition value)`
Sets the value of the '`Shadow Color`' containment reference.
`void`
`unsetConnectMissingValue()`
Unsets the value of the '`Connect Missing Value`' attribute.
`void`
`unsetCurve()`
Unsets the value of the '`Curve`' attribute.
`void`
`unsetPaletteLineColor()`
Unsets the value of the '`Palette Line Color`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getDisplayName, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getMarkers

org.eclipse.emf.common.util.EList<Marker> getMarkers()
Returns the value of the 'Markers' containment reference list. The list contents are of type `Marker`. Specifies the marker to be used for displaying the data point on the line in the chart.

Returns:
  the value of the 'Markers' containment reference list.
See Also:
  - `TypePackage.getLineSeries_Markers()`

### getMarker

@Deprecated Marker getMarker()
Deprecated.
Use Markers property instead. This is kept just to maintain the compatibility with old models.
Returns the value of the 'Marker' containment reference.

Returns:
  the value of the 'Marker' containment reference.
See Also:
  - `setMarker(Marker)`
  - `TypePackage.getLineSeries_Marker()`

### setMarker

@Deprecated void setMarker(Marker value)
Deprecated.
Use Markers property instead. This is kept just to maintain the compatibility with old models.
Sets the value of the '`Marker`' containment reference.

Parameters:
  `value` - the new value of the 'Marker' containment reference.
See Also:
  - `getMarker()`

### getLineAttributes

LineAttributes getLineAttributes()
Returns the value of the 'Line Attributes' containment reference. Specifies the attributes for the line used to represent this series.

Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `setLineAttributes(LineAttributes)`
  - `TypePackage.getLineSeries_LineAttributes()`

### setLineAttributes

void setLineAttributes(LineAttributes value)
Sets the value of the '`Line Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `getLineAttributes()`

### isPaletteLineColor

boolean isPaletteLineColor()
Returns the value of the 'Palette Line Color' attribute. Indicates if use the series palette color to draw the line instead of the color in LineAttributes

Returns:
  the value of the 'Palette Line Color' attribute.
See Also:
  - `isSetPaletteLineColor()`
  - `unsetPaletteLineColor()`
  - `setPaletteLineColor(boolean)`
  - `TypePackage.getLineSeries_PaletteLineColor()`

### setPaletteLineColor

void setPaletteLineColor(boolean value)
Sets the value of the '`Palette Line Color`' attribute.

Parameters:
  `value` - the new value of the 'Palette Line Color' attribute.
See Also:
  - `isSetPaletteLineColor()`
  - `unsetPaletteLineColor()`
  - `isPaletteLineColor()`

### unsetPaletteLineColor

void unsetPaletteLineColor()
Unsets the value of the '`Palette Line Color`' attribute.

See Also:
  - `isSetPaletteLineColor()`
  - `isPaletteLineColor()`
  - `setPaletteLineColor(boolean)`

### isSetPaletteLineColor

boolean isSetPaletteLineColor()
Returns whether the value of the '`Palette Line Color`' attribute is set.

Returns:
  whether the value of the 'Palette Line Color' attribute is set.
See Also:
  - `unsetPaletteLineColor()`
  - `isPaletteLineColor()`
  - `setPaletteLineColor(boolean)`

### isCurve

boolean isCurve()
Returns the value of the 'Curve' attribute. Indicates whether the line segments joining data points in the series are to be drawn as curves or as straight lines.

Returns:
  the value of the 'Curve' attribute.
See Also:
  - `isSetCurve()`
  - `unsetCurve()`
  - `setCurve(boolean)`
  - `TypePackage.getLineSeries_Curve()`

### setCurve

void setCurve(boolean value)
Sets the value of the '`Curve`' attribute.

Parameters:
  `value` - the new value of the 'Curve' attribute.
See Also:
  - `isSetCurve()`
  - `unsetCurve()`
  - `isCurve()`

### unsetCurve

void unsetCurve()
Unsets the value of the '`Curve`' attribute.

See Also:
  - `isSetCurve()`
  - `isCurve()`
  - `setCurve(boolean)`

### isSetCurve

boolean isSetCurve()
Returns whether the value of the '`Curve`' attribute is set.

Returns:
  whether the value of the 'Curve' attribute is set.
See Also:
  - `unsetCurve()`
  - `isCurve()`
  - `setCurve(boolean)`

### getShadowColor

ColorDefinition getShadowColor()
Returns the value of the 'Shadow Color' containment reference. Specifies the color to be used for the shadow.

Returns:
  the value of the 'Shadow Color' containment reference.
See Also:
  - `setShadowColor(ColorDefinition)`
  - `TypePackage.getLineSeries_ShadowColor()`

### setShadowColor

void setShadowColor(ColorDefinition value)
Sets the value of the '`Shadow Color`' containment reference.

Parameters:
  `value` - the new value of the 'Shadow Color' containment reference.
See Also:
  - `getShadowColor()`

### isConnectMissingValue

boolean isConnectMissingValue()
Returns the value of the 'Connect Missing Value' attribute. The default value is `"true"`. Specifies if connect the missing values in the line or just skip drawing.

Returns:
  the value of the 'Connect Missing Value' attribute.
See Also:
  - `isSetConnectMissingValue()`
  - `unsetConnectMissingValue()`
  - `setConnectMissingValue(boolean)`
  - `TypePackage.getLineSeries_ConnectMissingValue()`

### setConnectMissingValue

void setConnectMissingValue(boolean value)
Sets the value of the '`Connect Missing Value`' attribute.

Parameters:
  `value` - the new value of the 'Connect Missing Value' attribute.
See Also:
  - `isSetConnectMissingValue()`
  - `unsetConnectMissingValue()`
  - `isConnectMissingValue()`

### unsetConnectMissingValue

void unsetConnectMissingValue()
Unsets the value of the '`Connect Missing Value`' attribute.

See Also:
  - `isSetConnectMissingValue()`
  - `isConnectMissingValue()`
  - `setConnectMissingValue(boolean)`

### isSetConnectMissingValue

boolean isSetConnectMissingValue()
Returns whether the value of the '`Connect Missing Value`' attribute is set.

Returns:
  whether the value of the 'Connect Missing Value' attribute is set.
See Also:
  - `unsetConnectMissingValue()`
  - `isConnectMissingValue()`
  - `setConnectMissingValue(boolean)`

### copyInstance

LineSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Series`